Get Event
GET
/
v1
/
workspaces
/
{workspace}
/
streams
/
{stream_id}
/
events
/
{sequence}
Get Event
curl --request GET \
--url https://api.example.com/v1/workspaces/{workspace}/streams/{stream_id}/events/{sequence} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/workspaces/{workspace}/streams/{stream_id}/events/{sequence}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/workspaces/{workspace}/streams/{stream_id}/events/{sequence}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"causation_id": "<string>",
"correlation_id": "<string>",
"data": {},
"depth": 123,
"event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_key": "<string>",
"kind": "<string>",
"occurred_at": "2023-11-07T05:31:56Z",
"outcomes": [
{
"created_at": "2023-11-07T05:31:56Z",
"derived_sequences": [
123
],
"event_sequence": 123,
"reason": "<string>",
"score": 123,
"subscription_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subscription_kind": "<string>",
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"trigger_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"verdict": "<string>"
}
],
"received_at": "2023-11-07T05:31:56Z",
"sequence": 123,
"source": "<string>",
"subject": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Slug of the workspace the request acts in
Maximum string length:
120Pattern:
^[a-z0-9]+(?:-[a-z0-9]+)*$Response
Successful Response
One per subscription that took the event; empty means nobody listened.
Show child attributes
Show child attributes
Last modified on October 6, 2026
⌘I
Get Event
